import QtQuick 2.5
import QtQuick.Controls 1.4
import QtQuick.Layouts 1.2

ScrollView
{
    x: 6
    y: 6
    width: parent.width - 12
    height: parent.height - 12

    ListView
    {
        model:wallsList
        currentIndex: bridge.wallType

        delegate: Item {
            width: parent.width - 12
            height: 25

            Text {
                x: 6
                width: parent.width - 12
                anchors.verticalCenter: parent.verticalCenter
                text: modelData
            }

            MouseArea {
                anchors.fill: parent
                onClicked: bridge.wallType = index
            }
        }

        highlight: Rectangle { color: "#70c0ff" }
    }
}
